Social Networks
Get social network profiles for a company.
View as MarkdownReturns a list of social network profiles associated with the specified company.
Endpoint
GET /api/v1/companies/:company_id/social_networksParameters
| Parameter | Type | In | Description |
|---|---|---|---|
company_id | integer | path | The unique identifier of the company. |
Code Examples
Get social networks
import requests
url = 'https://statsnet.co/api/v1/companies/12345/social_networks'
headers = {
'Authorization': 'Bearer sk_live_YOUR_KEY',
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers).json()
print(response)Response
Success response
{
"social_networks": [
{
"name": "instagram",
"identifier": "123456789012",
"account_name": "company",
"description": "Official company account",
"url": "https://instagram.com/company",
"email": "info@example.kz",
"website": "https://example.kz",
"jurisdiction": "kz",
"matched_contact": ["info@example.kz"]
}
]
}Error Handling
Error response (403)
{
"status": 403,
"message": "access denied"
}